local SetSharedLootTable = GLOBAL.SetSharedLootTable

local MODIFYSTALKER = GetModConfigData("MODIFYSTALKER")

if MODIFYSTALKER then
  local function updateLootTableStalker(inst)
     local loot =
      {
          "shadowheart",
		  "fossil_piece",
		  "nightmarefuel",
      }
      SetSharedLootTable('stalker',
        {
			{'nightmarefuel', 1},
			{'nightmarefuel', 1},
            {'redgem', 0.35},
			{'bluegem', 0.35},
			{'purplegem', 0.25},
			{'yellowgem', 0.10},
			{'orangegem', 0.10},
			{'greengem', 0.05},
        })
      if(inst.components.lootdropper) then
         inst.components.lootdropper:SetLoot(loot)
         inst.components.lootdropper:SetChanceLootTable('stalker')
      end
   end
   AddPrefabPostInit("stalker", updateLootTableStalker)
end